---
orphan: true
---

# Query the runtime provider list

Query the agent runtime providers and profiles available for the current workspace.

```text
GET https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-runtime-providers
```

## Preparation before calling

The example below uses `$AI_STUDIO_API_KEY` and `$WORKSPACE_ID`.

## Request example

```bash
curl "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-runtime-providers" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and provider Profile list on success.

```json
{"code":0,"data":{"items":[]}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data.items` | array | Available runtime provider Profiles. |

## Error response

```json
{"code":15,"message":"service unavailable"}
```
